# Release Notes

## 0.4.6
- Started bordeauxsnd utility
- Introduce audio files header
- Introduce mqtt library test
- Add docker scan

## 0.4.5
- Introduce plugin framework
- Simplify sid handling
- Remove mqueue support in docker builds
- Docker related build options
- Clean temporary recordings
- Create prompt paths at startup
- Load plugins at startup
- Support voice libraries
- Improve prompts paths
- Make prompt files lower case

## 0.4.4
- Remove syslog from docker builds
- Use runtime linked libfmt
- Audio path support
- Itemize a list of values
- Debug deliminator for formatting

## 0.4.3
- Restrict ipc notify to bordeauxctl
- Introduce bordeaux process manager

## v0.4.2
- Fixed out of tree builds
- Updated vendoring
- Optimize header usage and improve api support
- Fix header vendoring

## v0.4.1
- Fix markdown
- Modernize vendoring
- Modernize linting
- Fix sha digest in reuse and vendoring

## v0.4.0
- Modernize linting
- Fix vendored eXosip2 libcrypto use and linking
- Fix and improve openssl vendoring support
- Further modernize digest support
- Modernize digest support

## v0.3.8
- Fix rpath support
- Fix docker runtime config
- Remove static builds and fix docker support
- Coventry always uses 2 digit dialing plan now

## v0.3.7
- Better server cli options
- Main server just bordeaux
- Remove non-generic libsystemd support
- Vendored non-static tls build support

## v0.3.6
- RTP media event silencing
- RTP media streaming works
- Remote calling for coventry driver
- Simplify docker builds
- Improved and simplified logging

## v0.3.5
- Can set session count from environment
- Expanded utility functions
- Standardize rtp audio under media component
- Fixed bye and rtp port allocation
- Fixed and improved docker builds

## v0.3.4
- Handle in-call dtmf relay

## v0.3.3
- Initial switch-block support in scripting
- Persistent key store for scripts

## v0.3.2
- Terminate calls on shutdown
- Coventry notify command
- Debug cleanup

## v0.3.1
- Better call terminology
- Added debug command
- Updated cli parsing
- Logging support

## v0.3.0
- Fixed driver release locking bug
- Fixed IPC status and display
- Updated README.md with better testing and install info
- Fixed unmapping call terminations
- Answer command and sdp negotiation
- Ring ignition for calling
- Disconnect processing, local and remote
- Reorganized Drivers, sessions, and rtp
- Register with appropriate allow headers

## v0.2.7
- Improved driver operation
- Introduced shared memory ipc support
- Added message queue control interface
- Defined media connection

## v0.2.6
- Update vendoring for eXosip2 to 5.3.0
- Compile-time path configuration
- Fixed custom path handling

## v0.2.5
- Coventry specific driver replaces sipwitch driver
- Support vendor-free builds

## v0.2.4
- Debug and dial plan fixes
- Clean up event handling
- Fixed docker builds

## v0.2.3
- Introduce alternate allocator support
- Remove packaging
- General code cleanup

## v0.2.2
- Removed println for buffering issues, use nl in format instead
- Introduce format based system logger
- Atomic running flag
- Fix for exosip2 5.2.1 epoll bug

## v0.2.1
- Migration to gitea
- Docker migration to quay
- Update osip2 vendoring to 5.2.1
- Replace debug -x option with multiple -v

## v0.2.0
- Support for Debian 10 and vendored fmt
- Docker buildx for publish to github registry

## v0.1.5
- Updates for packaging
- Added bayonnectl server interface
- Added Dockerfile to produce bordeaux containers

## v0.1.4
- service init introduced
- standardized logging

## v0.1.3
- Target focus posix only
- Simplified linting
- Introduced ipc control manager

## v0.1.2
- Use release for osip_free
- Improve linting
- Introduce format support
- Fixed argument options list
- Improved portability by dropping c++17 filesystem support

## v0.1.1
- Added utility functions to verify input correctness
- Added clang tidy policies
- Introduced libfmt
- Updated docgen support

## v0.1.0
- Added docgen target
- Added sip-hash and sip-ping commands
- Added vendored eXosip2 build
- Added Dialing plans in sipwitch driver
- Added manpages for bordeaux server and config file
- Support sip route config and static routing resolution
- Support sip credentials in sipcraft and generic drivers
- Support sip registration and de-registration
