/*
 * Copyright (C) 2020-2021 David Sugar <tychosoft@gmail.com>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "pbx.hpp"
#include "logger.hpp"
#include <exception>

using namespace server;

namespace {
std::string lowest_extension = "10", highest_extension = "89";
} // end anon namespace

auto pbx::is_extension(const std::string& ext) -> bool
{
    return !(ext < lowest_extension || ext > highest_extension);
}

