/*
 * Copyright (C) 2020-2021 David Sugar <tychosoft@gmail.com>.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef	MAIN_HPP_
#define MAIN_HPP_

#include "compiler.hpp"

/*!
 * Common definitions used by the main server.
 * \file main.hpp
 */

/*!
 * Common namespace for the server.
 * \namespace server
 */

/*!
 * Namespace for common thread extensions.
 * \namespace this_thread
 */

/*!
 * Network utility functions of various sorts.
 * \namespace server::net
 */

/*!
 * Process management functions.
 * \namespace server::proc
 */

/*!
 * Utility namespace for miscellaneous functions.
 * \namespace server::util
 */

/*!
 * Namespace for json processing functions, encapsulates rapidjson.
 * \namespace server::json
*/

/*!
 * \mainpage Bordeaux
 * A script driven application server for IP telephony networks. Bordeaux
 * began with GNU Bayonne and ideas I had for creating real-time non-blocking
 * carrier class general purpose telephony servers using GNU/Linux. Bordeaux
 * is a modern a micro-services capable Bayonne replacement.
 *
 * A number of resources exist for project development:
 * - [Gitea site] https://git.gnutelephony.org/bordeaux
 * - [Issues] https://git.gnutelephony.org/bordeaux/issues
 * - [Packages] https://pkg.gnutelephony.org/bordeaux
 * - [Project Boards] https://git.gnutelephony.org/bordeaux/projects
 * - [Pull Requests] https://git.gnutelephony.org/bordeaux/pulls
 * - [Report Bugs] https://git.gnutelephony.org/bordeaux/issues/new
 * - [Wiki] https://codeberg.org/gnutelephony/bordeaux/wiki/_pages
 *
 * \author David Sugar <tychosoft@gmail.com>
 */
#endif
